%define major 28
%define sslmajor 27
%define libname %mklibname %{name} %{major}
%define libssl %mklibname %{name}-ssl %{sslmajor}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d

Summary:	Library providing a secure layer (SSL)
Name:		gnutls
Version:	3.0.18
Release:	%mkrel 1
License:	GPLv3+ and LGPLv3+
Group:		System/Libraries
URL:		http://www.gnutls.org
Source0:	http://ftp.gnu.org/pub/gnu/gnutls/%{name}-%{version}.tar.xz
Source1:	http://ftp.gnu.org/pub/gnu/gnutls/%{name}-%{version}.tar.xz.sig
BuildRequires:	liblzo-devel
BuildRequires:	nettle-devel >= 2.4
BuildRequires:	libtasn1-devel >= 0.3.4
BuildRequires:	pkgconfig(p11-kit-1) >= 0.2
%ifnarch %arm %mips
BuildRequires:	valgrind
%endif
BuildRequires:  opencdk-devel

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n %{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n %{libssl}
Summary:        Library providing a secure layer (SSL)
Group:          System/Libraries

%description -n %{libssl}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libssl} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name} 13 -d

%description -n	%{develname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--with-included-libtasn1=no \
	--with-libz-prefix=%{_prefix} \
	--with-libtasn1-prefix=%{_prefix} \
	--with-packager="%_vendor" \
	--with-packager-version="%product_version" \
	--with-packager-bug-reports="https://bugs.mageia.org" \
	--disable-gtk-doc-html \
%ifnarch %arm %mips
	--enable-valgrind-tests \
%endif
	--disable-rpath \
	--disable-guile

%make

%check
make check

%install
%makeinstall_std

%{find_lang} %{name} %{name} libgnutls

rm -f %{buildroot}%{_libdir}/*.la

%post
%_install_info gnutls.info

%postun
%_remove_install_info gnutls.info

%files -f %{name}.lang 
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/[cgs]*
%{_bindir}/psktool
%{_bindir}/p11tool
%{_bindir}/ocsptool
%{_mandir}/man?/*
%{_infodir}/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{libssl}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{sslmajor}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnutls


%changelog

* Tue Apr 03 2012 guillomovitch <guillomovitch> 3.0.18-1.mga2
+ Revision: 228256
- new version

* Wed Mar 21 2012 fwang <fwang> 3.0.17-1.mga2
+ Revision: 225152
- new version 3.0.17

* Sun Mar 04 2012 fwang <fwang> 3.0.15-2.mga2
+ Revision: 217803
- dont know why it is providing a wrong name

* Sun Mar 04 2012 fwang <fwang> 3.0.15-1.mga2
+ Revision: 217753
- update file list
- new version 3.0.15
- new version 3.0.14
- specify mageia info
- new version 3.0.12

* Thu Jan 12 2012 fwang <fwang> 3.0.11-1.mga2
+ Revision: 195122
- new version 3.0.11

* Wed Dec 14 2011 fwang <fwang> 3.0.9-1.mga2
+ Revision: 181525
- new version 3.0.9

* Tue Nov 22 2011 fwang <fwang> 3.0.8-1.mga2
+ Revision: 170780
- new version 3.0.8
- new version 3.0.5

* Sat Oct 15 2011 fwang <fwang> 3.0.4-1.mga2
+ Revision: 155340
- bump nettle req
- new version 3.0.4

* Mon Sep 19 2011 fwang <fwang> 3.0.3-1.mga2
+ Revision: 145486
- new verrsion 3.0.3

* Thu Sep 01 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 137640
- new version 3.0.2
- new version 3.0.1
- update file list
- br p11-kit
- new version 3.0.0 (only nettle backend is supported)

* Fri Jun 24 2011 mikala <mikala> 2.12.7-2.mga2
+ Revision: 113217
- Build with --with-libgcrypt instead of nettle
- Add patch0 from fedora to skip dsa tests
- Add back %%ifnarch for arm & mips (we do have an arm port where valgrind is not available)

* Tue Jun 21 2011 fwang <fwang> 2.12.7-1.mga2
+ Revision: 111574
- new verison 2.12.7 (nettle based)

* Thu Mar 24 2011 boklm <boklm> 2.10.5-2.mga1
+ Revision: 76149
- rebuild for bug #497

* Fri Mar 18 2011 wally <wally> 2.10.5-1.mga1
+ Revision: 74054
- new version 2.10.5
- drop buildroot definition

* Wed Jan 12 2011 ahmad <ahmad> 2.10.4-2.mga1
+ Revision: 6790
- drop old/unneeded scriptlets
- imported package gnutls

